#include <stdio.h>

#include "lander.h"

http_route lander_routes[] = {
    {.type = http_route_literal,
     .method = http_get,
     .path = "/",
     .steps = {lander_get_index, NULL}},
    {.type = http_route_regex,
     .method = http_get,
     .path = "^/([^/]+)$",
     .steps = {lander_get_entry, NULL}},
    {.type = http_route_regex,
     .method = http_post,
     .path = "^/s(l?)/([^/]*)$",
     .steps = {http_loop_step_auth, http_loop_step_body_to_buf,
               lander_post_redirect, NULL}},
    {.type = http_route_regex,
     .method = http_post,
     .path = "^/p(l?)/([^/]*)$",
     .steps = {http_loop_step_auth, lander_post_paste,
               http_loop_step_body_to_file, http_loop_step_switch_res, NULL}},
};
