#include "event_loop.h"

event_loop_conn *event_loop_conn_init(event_loop *el) {
  event_loop_conn *conn = calloc(sizeof(event_loop_conn), 1);
  conn->ctx = el->ctx_init(el->gctx);

  return conn;
}

void event_loop_conn_free(event_loop *el, event_loop_conn *conn) {
  el->ctx_free(conn->ctx);
  free(conn);
}
